﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace EffectGeneratorTool
{
    public sealed class ClassWriter
    {
        #region Properties

        private StringBuilder StringBuilder { get; set; }
        private int tabLevel = 0;

        #endregion

        public ClassWriter() 
        {
            StringBuilder = new StringBuilder();
        }

        #region Methods

        private void WriteTabs()
        {
            string str = string.Empty;
            for (int i = 0; i < tabLevel; i++)
            {
                StringBuilder.Append("\t");
            }
        }

        public void TabRight()
        {
            tabLevel++;
        }

        public void TabLeft()
        {
            tabLevel--;
        }

        public void WriteOpenCurlyBrace()
        {
            WriteLine("{");
            TabRight();
        }

        public void WriteCloseCurlyBrace()
        {
            TabLeft();
            WriteLine("}");
        }

        public void WriteLine(string line)
        {
            WriteTabs();
            StringBuilder.AppendLine(line);
        }

        public void Write(string line)
        {
            WriteTabs();
            StringBuilder.Append(line);
        }

        public void WriteLine()
        {
            StringBuilder.AppendLine();
        }

        public string Code
        {
            get
            {
                return StringBuilder.ToString();
            }
        }

        #endregion
    }
}
