﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using XNATutorial.Camera.Interfaces;

namespace XNATutorial.Entity
{
    interface IDrawableEntity
    {
        /// <summary>
        /// The Effect determinates how the surface of the model is drawn to the screen.
        /// E.g. lighting, colors, textures, mappings, shadows, deformations.
        /// </summary>
        Effect Effect { get; set; }

        /// <summary>
        /// Entity is drawn in relation to the current camera position.
        /// </summary>
        ICamera Camera { get; set; }
    }
}
