﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework.Content;
using XNATutorial.Effects;
using Microsoft.Xna.Framework.Graphics;
using System.Diagnostics;
using DerivedEffects;
using System.Reflection;

namespace XNATutorial
{
    static class Extensions
    {
        /// <summary>
        /// Loads a custom effect. The assetName is derived from type name.
        /// </summary>
        /// <typeparam name="T">The type of the custom effect.</typeparam>
        /// <returns>Custom effect of type T.</returns>
        public static T LoadDerivedEffect<T>(this ContentManager content) where T : Effect
        {
            var name = typeof(T).Name.Replace("Effect", "");
            var assetName = String.Format("effects/{0}", name);
            return content.LoadDerivedEffect<T>(assetName);
        }
    }
}
